# Command: getPID

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    getPID - Get ID of the current process

Synopsis:

    getPID ->	-

Examples:

    (I am process #) =only getPID =

Description:

    Returns the process ID for the calling process.

Parameters:

    -

Bugs:

    -

Diagnostics:

    A call to "getPID" should never produce an error.

Author:

    R Kupper

FirstVersion:

    May 26 1999

SeeAlso:

- getPPID
- getPGRP
- fork
- spoon
- waitPID
- kill
- system
- spawn
- shpawn

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/processes.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative